Package org.flowable.eventsubscription.api

# Interface EventSubscriptionQuery

All Superinterfaces:
  `Query<EventSubscriptionQuery,EventSubscription>`

public interface EventSubscriptionQuery extends Query<EventSubscriptionQuery,EventSubscription>
Allows programmatic querying of `EventSubscription`s.

Author:
  Tijs Rademakers

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.flowable.common.engine.api.query.Query

  `Query.NullHandlingOnOrder`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EventSubscriptionQuery`
  `activityId(String activityId)`
  Only select event subscriptions which have an activity with the given id.
  `EventSubscriptionQuery`
  `caseDefinitionId(String caseDefinitionId)`
  Only select event subscriptions which have the given case definition id.
  `EventSubscriptionQuery`
  `caseInstanceId(String caseInstanceId)`
  Only select event subscriptions which have the given case instance id.
  `EventSubscriptionQuery`
  `configuration(String configuration)`
  Only select event subscriptions with the given configuration.
  `EventSubscriptionQuery`
  `configurations(Collection<String> configurations)`
  Only select event subscriptions with the given configurations.
  `EventSubscriptionQuery`
  `createdAfter(Date afterTime)`
  Only select event subscriptions that were created after the given start time.
  `EventSubscriptionQuery`
  `createdBefore(Date beforeTime)`
  Only select event subscriptions that were created before the given start time.
  `EventSubscriptionQuery`
  `endOr()`
  End an OR statement.
  `EventSubscriptionQuery`
  `eventName(String eventName)`
  Only select event subscriptions with the given name.
  `EventSubscriptionQuery`
  `eventType(String eventType)`
  Only select event subscriptions with the given type.
  `EventSubscriptionQuery`
  `executionId(String executionId)`
  Only select event subscriptions with the given execution id.
  `EventSubscriptionQuery`
  `id(String id)`
  Only select event subscriptions with the given id.
  `EventSubscriptionQuery`
  `or()`
  Begin an OR statement.
  `EventSubscriptionQuery`
  `orderByCreateDate()`
  Order by create date (needs to be followed by `Query.asc()` or `Query.desc()`).
  `EventSubscriptionQuery`
  `orderByEventName()`
  Order by event name (needs to be followed by `Query.asc()` or `Query.desc()`).
  `EventSubscriptionQuery`
  `orderByExecutionId()`
  Order by execution id (needs to be followed by `Query.asc()` or `Query.desc()`).
  `EventSubscriptionQuery`
  `orderById()`
  Order by id (needs to be followed by `Query.asc()` or `Query.desc()`).
  `EventSubscriptionQuery`
  `orderByProcessDefinitionId()`
  Order by process definition id (needs to be followed by `Query.asc()` or `Query.desc()`).
  `EventSubscriptionQuery`
  `orderByProcessInstanceId()`
  Order by process instance id (needs to be followed by `Query.asc()` or `Query.desc()`).
  `EventSubscriptionQuery`
  `orderByTenantId()`
  Order by tenant id (needs to be followed by `Query.asc()` or `Query.desc()`).
  `EventSubscriptionQuery`
  `planItemInstanceId(String planItemInstanceId)`
  Only select event subscriptions which have the given plan item instance id.
  `EventSubscriptionQuery`
  `processDefinitionId(String processDefinitionId)`
  Only select event subscriptions which have the given process definition id.
  `EventSubscriptionQuery`
  `processInstanceId(String processInstanceId)`
  Only select event subscriptions which have the given process instance id.
  `EventSubscriptionQuery`
  `scopeDefinitionId(String scopeDefinitionId)`
  Only select event subscriptions which have a scope definition id with the given value.
  `EventSubscriptionQuery`
  `scopeDefinitionKey(String scopeDefinitionKey)`
  Only select event subscriptions which have a scope definition key with the given value.
  `EventSubscriptionQuery`
  `scopeId(String scopeId)`
  Only select event subscriptions which have a scope id with the given value.
  `EventSubscriptionQuery`
  `scopeType(String scopeType)`
  Only select event subscriptions which have a scope type with the given value.
  `EventSubscriptionQuery`
  `subScopeId(String subScopeId)`
  Only select event subscriptions which have a sub scope id with the given value.
  `EventSubscriptionQuery`
  `tenantId(String tenantId)`
  Only select event subscriptions with the given tenant id.
  `EventSubscriptionQuery`
  `tenantIds(Collection<String> tenantIds)`
  Only select event subscriptions with the given tenant id.
  `EventSubscriptionQuery`
  `withoutConfiguration()`
  Only select event subscriptions that have no configuration.
  `EventSubscriptionQuery`
  `withoutProcessDefinitionId()`
  Only select event subscriptions without a process definition id value.
  `EventSubscriptionQuery`
  `withoutProcessInstanceId()`
  Only select event subscriptions without a process instance id value.
  `EventSubscriptionQuery`
  `withoutScopeDefinitionId()`
  Only select event subscriptions without a scope definition id value.
  `EventSubscriptionQuery`
  `withoutScopeId()`
  Only select event subscriptions without a scope id value.
  `EventSubscriptionQuery`
  `withoutTenantId()`
  Only select event subscriptions without a tenant id.

  ### Methods inherited from interface org.flowable.common.engine.api.query.Query

  `asc, count, desc, list, listPage, orderBy, orderBy, singleResult`

- ## Method Details

  - ### id

    EventSubscriptionQuery id(String id)
    Only select event subscriptions with the given id.

  - ### eventType

    EventSubscriptionQuery eventType(String eventType)
    Only select event subscriptions with the given type.

  - ### eventName

    EventSubscriptionQuery eventName(String eventName)
    Only select event subscriptions with the given name.

  - ### executionId

    EventSubscriptionQuery executionId(String executionId)
    Only select event subscriptions with the given execution id.

  - ### processInstanceId

    EventSubscriptionQuery processInstanceId(String processInstanceId)
    Only select event subscriptions which have the given process instance id.

  - ### withoutProcessInstanceId

    EventSubscriptionQuery withoutProcessInstanceId()
    Only select event subscriptions without a process instance id value.

  - ### processDefinitionId

    EventSubscriptionQuery processDefinitionId(String processDefinitionId)
    Only select event subscriptions which have the given process definition id.

  - ### withoutProcessDefinitionId

    EventSubscriptionQuery withoutProcessDefinitionId()
    Only select event subscriptions without a process definition id value.

  - ### activityId

    EventSubscriptionQuery activityId(String activityId)
    Only select event subscriptions which have an activity with the given id.

  - ### caseInstanceId

    EventSubscriptionQuery caseInstanceId(String caseInstanceId)
    Only select event subscriptions which have the given case instance id.

  - ### planItemInstanceId

    EventSubscriptionQuery planItemInstanceId(String planItemInstanceId)
    Only select event subscriptions which have the given plan item instance id.

  - ### caseDefinitionId

    EventSubscriptionQuery caseDefinitionId(String caseDefinitionId)
    Only select event subscriptions which have the given case definition id.

  - ### subScopeId

    EventSubscriptionQuery subScopeId(String subScopeId)
    Only select event subscriptions which have a sub scope id with the given value.

  - ### scopeId

    EventSubscriptionQuery scopeId(String scopeId)
    Only select event subscriptions which have a scope id with the given value.

  - ### withoutScopeId

    EventSubscriptionQuery withoutScopeId()
    Only select event subscriptions without a scope id value.

  - ### scopeDefinitionId

    EventSubscriptionQuery scopeDefinitionId(String scopeDefinitionId)
    Only select event subscriptions which have a scope definition id with the given value.

  - ### withoutScopeDefinitionId

    EventSubscriptionQuery withoutScopeDefinitionId()
    Only select event subscriptions without a scope definition id value.

  - ### scopeDefinitionKey

    EventSubscriptionQuery scopeDefinitionKey(String scopeDefinitionKey)
    Only select event subscriptions which have a scope definition key with the given value.

  - ### scopeType

    EventSubscriptionQuery scopeType(String scopeType)
    Only select event subscriptions which have a scope type with the given value.

  - ### createdBefore

    EventSubscriptionQuery createdBefore(Date beforeTime)
    Only select event subscriptions that were created before the given start time.

  - ### createdAfter

    EventSubscriptionQuery createdAfter(Date afterTime)
    Only select event subscriptions that were created after the given start time.

  - ### tenantId

    EventSubscriptionQuery tenantId(String tenantId)
    Only select event subscriptions with the given tenant id.

  - ### tenantIds

    EventSubscriptionQuery tenantIds(Collection<String> tenantIds)
    Only select event subscriptions with the given tenant id.

  - ### withoutTenantId

    EventSubscriptionQuery withoutTenantId()
    Only select event subscriptions without a tenant id.

  - ### configuration

    EventSubscriptionQuery configuration(String configuration)
    Only select event subscriptions with the given configuration.

  - ### configurations

    EventSubscriptionQuery configurations(Collection<String> configurations)
    Only select event subscriptions with the given configurations.

  - ### withoutConfiguration

    EventSubscriptionQuery withoutConfiguration()
    Only select event subscriptions that have no configuration.

  - ### or

    EventSubscriptionQuery or()
    Begin an OR statement. Make sure you invoke the endOr() method at the end of your OR statement.

  - ### endOr

    EventSubscriptionQuery endOr()
    End an OR statement.

  - ### orderById

    EventSubscriptionQuery orderById()
    Order by id (needs to be followed by `Query.asc()` or `Query.desc()`).

  - ### orderByExecutionId

    EventSubscriptionQuery orderByExecutionId()
    Order by execution id (needs to be followed by `Query.asc()` or `Query.desc()`).

  - ### orderByProcessInstanceId

    EventSubscriptionQuery orderByProcessInstanceId()
    Order by process instance id (needs to be followed by `Query.asc()` or `Query.desc()`).

  - ### orderByProcessDefinitionId

    EventSubscriptionQuery orderByProcessDefinitionId()
    Order by process definition id (needs to be followed by `Query.asc()` or `Query.desc()`).

  - ### orderByCreateDate

    EventSubscriptionQuery orderByCreateDate()
    Order by create date (needs to be followed by `Query.asc()` or `Query.desc()`).

  - ### orderByEventName

    EventSubscriptionQuery orderByEventName()
    Order by event name (needs to be followed by `Query.asc()` or `Query.desc()`).

  - ### orderByTenantId

    EventSubscriptionQuery orderByTenantId()
    Order by tenant id (needs to be followed by `Query.asc()` or `Query.desc()`).